Bug 178591 - function type is not properly formatted
function type is not properly formatted
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Editor
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: Anton Chechel
issues@javafx
68patch1-verified
:
Depends on:
Blocks: 173487
  Show dependency treegraph
 
Reported: 2009-12-14 06:44 UTC by Alexandr Scherbatiy
Modified: 2010-01-26 05:21 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
JavaFX Main file (933 bytes, text/plain)
2009-12-14 06:44 UTC, Alexandr Scherbatiy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-14 06:44:21 UTC
NetBeans-JavaFX-Soma: #65

  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200)
(#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.

Steps to reproduce:

- Format the attached file
- The result is 

-------------------------------------------------------------------------------------
public class STreeNode {

    public var value: Object;
    public var nodes: STreeNode[];
    public var handle: function(handler:    function (value: Object    )) 
                
                  
            
= function(handler: function(value: Object)) {
        handler(value);
        for (node in nodes){
            node.handle(handler);
        }
    }

}
-------------------------------------------------------------------------------------
Comment 1 Alexandr Scherbatiy 2009-12-14 06:44:54 UTC
Created attachment 92534 [details]
JavaFX Main file
Comment 2 Anton Chechel 2009-12-21 07:42:44 UTC
fixed
http://hg.netbeans.org/javafx/rev/5e96b881f4a9
Comment 3 Alexandr Scherbatiy 2010-01-12 07:10:46 UTC
verified in NetBeans-JavaFX-Soma: #93
Comment 4 Petr Suchomel 2010-01-15 03:50:26 UTC
Fixed in release68_fixes
http://hg.netbeans.org/javafx/rev/c4b4a8e0fbf0
Comment 5 Alexandr Scherbatiy 2010-01-26 05:21:56 UTC
Verified in NB 6.8 patch1 2010-01-25_21-27-59


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo